<div *ngIf="viewOnly;else formTemplate">
    <h2>{{nameControl.value}}</h2>
    <div>Start Date: {{originalDateString}}</div>
</div>

<ng-template #formTemplate>
    <form class="auth-form" [formGroup]="form">
        <mat-form-field appearance="fill">
            <mat-label>Name</mat-label>
            <input matInput placeholder="Name" formControlName="name">
        </mat-form-field>
        <br/>
        <mat-form-field appearance="fill">
            <mat-label>Choose a date</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="date">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
    </form>
</ng-template>
